Name:           joda-convert
Version:        1.9.2
Release:        %mkrel 3
Group:          Development/Java
Summary:        Java library for conversion to and from standard string formats
License:        ASL 2.0
URL:            https://github.com/JodaOrg/joda-convert/
BuildArch:      noarch

Source0:        https://github.com/JodaOrg/joda-convert/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-assembly-plugin)

%description
Java library to enable conversion to and from standard string formats.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the %{summary}.

%prep
%setup -q
%mvn_file : %{name}
sed -i 's/\r//' *.txt

%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt NOTICE.txt



%changelog
* Sat Mar 26 2022 umeabot <umeabot> 1.9.2-3.mga9
+ Revision: 1827382
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1.9.2-2.mga8
+ Revision: 1520783
- Mageia 8 Mass Rebuild

* Mon Dec 10 2018 daviddavid <daviddavid> 1.9.2-1.mga7
+ Revision: 1339797
- new version: 1.9.2 ( sync with fc29)

* Thu Sep 20 2018 umeabot <umeabot> 1.8.2-2.mga7
+ Revision: 1279020
- Mageia 7 Mass Rebuild

* Tue Aug 15 2017 daviddavid <daviddavid> 1.8.2-1.mga7
+ Revision: 1140714
- Update to upstream version 1.8.2 (sync with fc27)
+ neoclust <neoclust>
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.8.1-2.mga6
+ Revision: 977098
- First rebuild of the java stack
- sync package joda-convert with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Jan 19 2015 daviddavid <daviddavid> 1.6-1.mga5
+ Revision: 811525
- Sync with fc21 (update to 1.6)

* Wed Oct 15 2014 umeabot <umeabot> 1.2-8.mga5
+ Revision: 748245
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Dec 22 2013 dmorgan <dmorgan> 1.2-6.mga4
+ Revision: 559948
- Build with maven-local
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.2-4.mga3
+ Revision: 355509
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1.2-3.mga3
+ Revision: 325933
- imported package joda-convert

